\section*{Acknowledgements}

I would like to express my very great appreciation to my family. Their support and unconditional love kept me motivated to pursuit my goals and dreams. Being who I am is the result of their indescribable affection. A special thanks to my friends Nicolas and Gordon, whose constant sympathy and friendship followed me throughout my studies. Another special thanks to my friend Ali Baturaygil for inspiring me to follow the plant breeding path during my studies. This work could not have been possible without the help of my supervisor Prof. Dr. Karl Schmid, whose support and knowledge helped me discover and reinforce my interest for bioinformatics. Finally, I would like to thank the University of Hohenheim for the great quality of education.
